using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Shared.Database.Models;

[Table("calendar")]
public partial class Calendar
{
    [Key]
    [Column("date")]
    public DateOnly Date { get; set; }

    [Column("week_day")]
    public int WeekDay { get; set; }

    [Column("first_of_month")]
    public DateOnly FirstOfMonth { get; set; }

    [Column("last_of_month")]
    public DateOnly LastOfMonth { get; set; }
}
